## org.eclipse.emf.mapping.impl
Class MappingImpl.MappingTreeIterator

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.AbstractEList<E>
                  org.eclipse.emf.common.util.BasicEList<java.util.Iterator<? extends E>>
                      org.eclipse.emf.common.util.AbstractTreeIterator<Mapping>
                          org.eclipse.emf.mapping.impl.MappingImpl.MappingTreeIterator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<java.util.Iterator<? extends Mapping>>, java.util.Collection<java.util.Iterator<? extends Mapping>>, java.util.Iterator<Mapping>, java.util.List<java.util.Iterator<? extends Mapping>>, java.util.RandomAccess, EList<java.util.Iterator<? extends Mapping>>, TreeIterator<Mapping>

Enclosing class:
  MappingImpl

    public static class MappingImpl.MappingTreeIterator

extends AbstractTreeIterator<Mapping>

This implements a tree iterator that will iterate over a mapping, all it's nested mappings, all their nested mappings, and so on.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.BasicEList
`BasicEList.BasicIndexOutOfBoundsException, BasicEList.EIterator<E1>, BasicEList.EListIterator<E1>, BasicEList.FastCompare<E>, BasicEList.NonResolvingEIterator<E1>, BasicEList.NonResolvingEListIterator<E1>, BasicEList.UnmodifiableEList<E>`

Field Summary

Fields inherited from class org.eclipse.emf.common.util.AbstractTreeIterator
`includeRoot, nextPruneIterator, nextRemoveIterator, object`

Fields inherited from class org.eclipse.emf.common.util.BasicEList
`data, size`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`MappingImpl.MappingTreeIterator(Mapping mapping)` This creates a tree iterator that will iterate over a mapping, all it's nested mappings, all their nested mappings, and so on.
`MappingImpl.MappingTreeIterator(Mapping mapping, boolean includeRoot)` This creates a tree iterator that will iterate over a mapping (but only if includeRoot is true), all it's nested mappings, all their nested mappings, and so on.

Method Summary
`protected java.util.Iterator<Mapping>` `getChildren(java.lang.Object o)` Returns the iterator that yields the children of the object.
`void` `remove()` Removes the last object returned by `AbstractTreeIterator.next()` from the underlying tree; it's an optional operation.

Methods inherited from class org.eclipse.emf.common.util.AbstractTreeIterator
`hasNext, next, prune`

Methods inherited from class org.eclipse.emf.common.util.BasicEList
`addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, assign, basicGet, basicList, clear, clone, contains, data, get, grow, indexOf, isEmpty, lastIndexOf, move, newData, primitiveGet, remove, setData, setUnique, shrink, size, toArray, toArray`

Methods inherited from class org.eclipse.emf.common.util.AbstractEList
`add, add, addAll, addAll, basicIterator, basicListIterator, basicListIterator, canContainNull, didAdd, didChange, didClear, didMove, didRemove, didSet, equalObjects, equals, getDuplicates, getNonDuplicates, hashCode, isUnique, iterator, listIterator, listIterator, move, remove, removeAll, resolve, retainAll, set, toString, useEquals, validate`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, subList`

Constructor Detail

### MappingImpl.MappingTreeIterator

    public MappingImpl.MappingTreeIterator(Mapping mapping)

  This creates a tree iterator that will iterate over a mapping, all it's nested mappings, all their nested mappings, and so on.

### MappingImpl.MappingTreeIterator

    public MappingImpl.MappingTreeIterator(Mapping mapping,
                                           boolean includeRoot)

  This creates a tree iterator that will iterate over a mapping (but only if includeRoot is true), all it's nested mappings, all their nested mappings, and so on.

Method Detail

### getChildren

    protected java.util.Iterator<Mapping> getChildren(java.lang.Object o)

  Description copied from class: `AbstractTreeIterator`
  Returns the iterator that yields the children of the object.

  Specified by:
    `getChildren` in class `AbstractTreeIterator<Mapping>`
  Parameters:
    `o` - the object for which children are required.
  Returns:
    the iterator that yields the children.

### remove

    public void remove()

  Description copied from class: `AbstractTreeIterator`
  Removes the last object returned by `AbstractTreeIterator.next()` from the underlying tree; it's an optional operation.

  Specified by:
    `remove` in interface `java.util.Iterator<Mapping>`
  Overrides:
    `remove` in class `AbstractTreeIterator<Mapping>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.